Partially update an assessment config
curl --request PATCH \
--url https://app.auditynow.com/api/agent/assessment-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Template Name",
"questionOrder": [
"q1",
"q2",
"q3"
]
}
'import requests
url = "https://app.auditynow.com/api/agent/assessment-configs/{id}"
payload = {
"name": "Updated Template Name",
"questionOrder": ["q1", "q2", "q3"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Template Name', questionOrder: ['q1', 'q2', 'q3']})
};
fetch('https://app.auditynow.com/api/agent/assessment-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.auditynow.com/api/agent/assessment-configs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Updated Template Name',
'questionOrder' => [
'q1',
'q2',
'q3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.auditynow.com/api/agent/assessment-configs/{id}"
payload := strings.NewReader("{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.auditynow.com/api/agent/assessment-configs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.auditynow.com/api/agent/assessment-configs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isTemplate": true,
"questionOrder": [
"<string>"
],
"questionCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"hiddenQuestions": [
"<string>"
],
"scoringWeights": {},
"defaultQuestionOverrides": {}
}
}{
"error": "Config must contain at least one scored question",
"code": "VALIDATION_ERROR"
}{
"error": "Unauthorized"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Assessment Configs
Partially update an assessment config
Partially updates an assessment config. All fields optional, but at least one must be present. Validates that the final config has active questions and sufficient scored questions. Returns 400 VALIDATION_ERROR if constraints are violated.
PATCH
/
api
/
agent
/
assessment-configs
/
{id}
Partially update an assessment config
curl --request PATCH \
--url https://app.auditynow.com/api/agent/assessment-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Template Name",
"questionOrder": [
"q1",
"q2",
"q3"
]
}
'import requests
url = "https://app.auditynow.com/api/agent/assessment-configs/{id}"
payload = {
"name": "Updated Template Name",
"questionOrder": ["q1", "q2", "q3"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Template Name', questionOrder: ['q1', 'q2', 'q3']})
};
fetch('https://app.auditynow.com/api/agent/assessment-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.auditynow.com/api/agent/assessment-configs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Updated Template Name',
'questionOrder' => [
'q1',
'q2',
'q3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.auditynow.com/api/agent/assessment-configs/{id}"
payload := strings.NewReader("{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.auditynow.com/api/agent/assessment-configs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.auditynow.com/api/agent/assessment-configs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Updated Template Name\",\n \"questionOrder\": [\n \"q1\",\n \"q2\",\n \"q3\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isTemplate": true,
"questionOrder": [
"<string>"
],
"questionCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"hiddenQuestions": [
"<string>"
],
"scoringWeights": {},
"defaultQuestionOverrides": {}
}
}{
"error": "Config must contain at least one scored question",
"code": "VALIDATION_ERROR"
}{
"error": "Unauthorized"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Body
application/json
Partial update payload for an assessment config. At least one field must be present.

